Skip to main content
GET
/
api
/
public
/
orders
/
{id}
cURL
curl --request GET \
  --url https://api.lidian.finance/api/public/orders/{id}
{
  "status": "success",
  "data": {
    "id": "<string>",
    "status": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "offerer": "<string>",
    "recipient": "<string>",
    "inputAmount": "<string>",
    "outputAmount": "<string>",
    "inputToken": "<string>",
    "outputToken": "<string>",
    "inputChain": "<string>",
    "outputChain": "<string>",
    "srcChainTxHash": "<string>",
    "dstChainTxHash": "<string>",
    "settlementTxHash": "<string>",
    "failureReason": "<string>",
    "source": "order"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt

Use this file to discover all available pages before exploring further.

Get a public order by ID. No authentication required.

Path Parameters

id
string
required

Order ID

Response

Order retrieved successfully

status
enum<string>
Available options:
success
data
object